From: "Theodore Ts'o" <tytso@mit.edu>
To: fstests@vger.kernel.org
Cc: "Darrick J. Wong" <djwong@kernel.org>, "Theodore Ts'o" <tytso@mit.edu>
Subject: [PATCH -v2] xfs/32: fix test failure on kernels which don't support bs > ps
Date: Mon, 20 Jan 2025 12:01:09 -0500 [thread overview]
Message-ID: <20250120170109.3770633-1-tytso@mit.edu> (raw)
In-Reply-To: <20250117210202.GJ3557695@frogsfrogsfrogs>
When trying to mount a file system with a block size > page size on
kernel which doesn't support this, suppress the error messages from
showing up in the output file lest it cause test failures.
Fixes: 0b66f6efd669 ("xfs/032: try running on blocksize > pagesize filesystems")
Signed-off-by: Theodore Ts'o <tytso@mit.edu>
---
v2:
As Darrick suggested redirect the output of mount(8) to $seqres.full
instead of /dev/null
tests/xfs/032 | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/tests/xfs/032 b/tests/xfs/032
index 41a9134d8..675881d5b 100755
--- a/tests/xfs/032
+++ b/tests/xfs/032
@@ -44,7 +44,7 @@ for ((; SECTORSIZE <= 65536; SECTORSIZE *= 2)); do
if [ $? -ne 0 ]; then
continue
fi
- if ! _try_scratch_mount; then
+ if ! _try_scratch_mount >> $seqres.full 2>&1 ; then
if [ $BLOCKSIZE -le $PAGESIZE ]; then
_fail "mount $(_scratch_mount_options $*) failed"
fi
--
2.45.2
next prev parent reply other threads:[~2025-01-20 17:01 UTC|newest]
Thread overview: 7+ messages / expand[flat|nested] mbox.gz Atom feed top
2025-01-17 19:06 [PATCH] xfs/32: fix test failure on kernels which don't support bs > ps Theodore Ts'o
2025-01-17 21:02 ` Darrick J. Wong
2025-01-20 17:01 ` Theodore Ts'o [this message]
2025-01-21 2:35 ` [PATCH -v2] " Zorro Lang
2025-01-21 3:33 ` Theodore Ts'o
2025-01-21 5:12 ` Zorro Lang
2025-01-21 15:59 ` Darrick J. Wong
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=20250120170109.3770633-1-tytso@mit.edu \
--to=tytso@mit.edu \
--cc=djwong@kernel.org \
--cc=fstests@vger.kernel.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox